classification
Title: distutils.extension.read_setup_file misinterprets -C switch
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: donlorenzo, steve.dower, tarek
Priority: normal Keywords: patch

Created on 2009-05-29 22:07 by donlorenzo, last changed 2021-02-03 18:29 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
distutil_extension.patch donlorenzo, 2009-05-29 22:07 fixes the -C switch in distutil extension setup files review
Messages (3)
msg88542 - (view) Author: Lorenz Quack (donlorenzo) * Date: 2009-05-29 22:06
I'm not sure if this is a bug or some weird backward-compatible behaviour...

In "distutil.extension.read_setup_file" it checks for the "-C" switch
but then appends "word" instead of "value"
So if you pass "-C-Wall" it actually passes exactly that to the compiler
instead of just "-Wall"

In the file it says the switch is "only here 'cause makesetup has it!"
so is this some behaviour the way it is for compability reasons or am I
missing something?

If this is indeed a bug I attached a patch
msg92353 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-09-07 08:10
Thanks for the patch. 

I need to look at how read_setup_file is actually used in the community,
then apply the patch in consequence.
msg386408 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:29
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:29:04steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386408

resolution: out of date
stage: resolved
2014-03-20 01:02:16BreamoreBoysetversions: + Python 3.4, Python 3.5, - Python 3.1, Python 3.2
2009-09-07 08:10:17tareksettype: behavior
messages: + msg92353
versions: - Python 2.6, Python 2.5, Python 2.4, Python 3.0
2009-05-29 22:07:00donlorenzocreate